libmspub::GeometricShape Struct Reference documentation

Public Member Functions | Public Attributes | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libmspub::GeometricShape Struct Reference

`#include <Shapes.h>`

Inheritance diagram for libmspub::GeometricShape:

## Public Member Functions
void | addLine (ColorReference color, unsigned widthInEmu, bool lineExists)
void | fillDefaultAdjustValues ()
void | setAdjustValue (unsigned index, int adjustValue)
void | setText (std::vector< TextParagraph > str)
double | getCalculationValue (unsigned index, bool recursiveEntry=false) const
double | getSpecialValue (const CustomShape &shape, int arg) const
void | writeText (librevenge::RVNGDrawingInterface *painter)
void | setTransformation (VectorTransformation2D transform)
| GeometricShape (MSPUBCollector *o)
| GeometricShape (unsigned pageSeqNum, MSPUBCollector *o)
std::vector< Color > | getPaletteColors () const
void | output (librevenge::RVNGDrawingInterface *painter, Coordinate coord)
Public Member Functions inherited from libmspub::FillableShape
| FillableShape (MSPUBCollector *o)
void | setFill (Fill *fill)
Public Member Functions inherited from libmspub::Shape
| Shape (MSPUBCollector *o)
virtual | ~Shape ()

## Public Attributes
std::vector< TextParagraph > | m_str
bool | m_hasText
unsigned | m_pageSeqNum
unsigned | m_imgIndex
ShapeType | m_type
double | m_x
double | m_y
double | m_width
double | m_height
VectorTransformation2D | m_transform
std::vector< int > | m_adjustValues
unsigned | m_left
unsigned | m_top
unsigned | m_right
unsigned | m_bottom
std::vector< Line > | m_lines
bool | m_drawStroke
BorderPosition | m_borderPosition
bool | m_coordinatesRotated90
VectorTransformation2D | m_foldedTransform
Public Attributes inherited from libmspub::FillableShape
Fill * | m_fill
Public Attributes inherited from libmspub::Shape
librevenge::RVNGPropertyList | props
librevenge::RVNGPropertyList | graphicsProps

## Protected Member Functions
virtual bool | hasFill ()
void | setCoordProps (Coordinate coord)
virtual void | write (librevenge::RVNGDrawingInterface *painter)
librevenge::RVNGPropertyListVector | updateGraphicsProps ()
| GeometricShape ()
Protected Member Functions inherited from libmspub::Shape
| Shape ()

## Private Member Functions
| GeometricShape (const GeometricShape &)
GeometricShape & | operator= (const GeometricShape &)

## Private Attributes
std::vector< bool > | m_valuesSeen
bool | m_filledDefaultAdjustValues
Coordinate | m_textCoord
bool | m_closeEverything

## Additional Inherited Members
Protected Attributes inherited from libmspub::Shape
MSPUBCollector * | owner

## Constructor & Destructor Documentation

## § GeometricShape() [1/4]

libmspub::GeometricShape::GeometricShape | ( | MSPUBCollector * | o | ) |
| inline

## § GeometricShape() [2/4]

libmspub::GeometricShape::GeometricShape | ( | unsigned | pageSeqNum,
|  | MSPUBCollector * | o
| ) |  |
| inline

## § GeometricShape() [3/4]

libmspub::GeometricShape::GeometricShape | ( |  | ) |
| protected

## § GeometricShape() [4/4]

libmspub::GeometricShape::GeometricShape | ( | const GeometricShape & |  | ) |
| private

## Member Function Documentation

## § addLine()

void libmspub::GeometricShape::addLine | ( | ColorReference | color,
|  | unsigned | widthInEmu,
|  | bool | lineExists
| ) |  |

## § fillDefaultAdjustValues()

void libmspub::GeometricShape::fillDefaultAdjustValues | ( |  | ) |

## § getCalculationValue()

double libmspub::GeometricShape::getCalculationValue | ( | unsigned | index,
|  | bool | recursiveEntry = `false`
| ) |  | const

## § getPaletteColors()

std::vector<Color> libmspub::GeometricShape::getPaletteColors | ( |  | ) | const

## § getSpecialValue()

double libmspub::GeometricShape::getSpecialValue | ( | const CustomShape & | shape,
|  | int | arg
| ) |  | const

## § hasFill()

virtual bool libmspub::GeometricShape::hasFill | ( |  | ) |
| protectedvirtual

## § operator=()

GeometricShape& libmspub::GeometricShape::operator= | ( | const GeometricShape & |  | ) |
| private

## § output()

void libmspub::GeometricShape::output | ( | librevenge::RVNGDrawingInterface * | painter,
|  | Coordinate | coord
| ) |  |
| virtual

Reimplemented from libmspub::Shape.

## § setAdjustValue()

void libmspub::GeometricShape::setAdjustValue | ( | unsigned | index,
|  | int | adjustValue
| ) |  |

## § setCoordProps()

void libmspub::GeometricShape::setCoordProps | ( | Coordinate | coord | ) |
| protectedvirtual

Reimplemented from libmspub::Shape.

## § setText()

void libmspub::GeometricShape::setText | ( | std::vector< TextParagraph > | str | ) |

## § setTransformation()

void libmspub::GeometricShape::setTransformation | ( | VectorTransformation2D | transform | ) |

## § updateGraphicsProps()

librevenge::RVNGPropertyListVector libmspub::GeometricShape::updateGraphicsProps | ( |  | ) |
| protectedvirtual

Reimplemented from libmspub::FillableShape.

## § write()

virtual void libmspub::GeometricShape::write | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| protectedvirtual

Implements libmspub::Shape.

## § writeText()

void libmspub::GeometricShape::writeText | ( | librevenge::RVNGDrawingInterface * | painter | ) |

## Member Data Documentation

## § m_adjustValues

std::vector<int> libmspub::GeometricShape::m_adjustValues

## § m_borderPosition

BorderPosition libmspub::GeometricShape::m_borderPosition

## § m_bottom

unsigned libmspub::GeometricShape::m_bottom

## § m_closeEverything

bool libmspub::GeometricShape::m_closeEverything
| private

## § m_coordinatesRotated90

bool libmspub::GeometricShape::m_coordinatesRotated90

## § m_drawStroke

bool libmspub::GeometricShape::m_drawStroke

## § m_filledDefaultAdjustValues

bool libmspub::GeometricShape::m_filledDefaultAdjustValues
| private

## § m_foldedTransform

VectorTransformation2D libmspub::GeometricShape::m_foldedTransform

## § m_hasText

bool libmspub::GeometricShape::m_hasText

## § m_height

double libmspub::GeometricShape::m_height

## § m_imgIndex

unsigned libmspub::GeometricShape::m_imgIndex

## § m_left

unsigned libmspub::GeometricShape::m_left

## § m_lines

std::vector<Line> libmspub::GeometricShape::m_lines

## § m_pageSeqNum

unsigned libmspub::GeometricShape::m_pageSeqNum

## § m_right

unsigned libmspub::GeometricShape::m_right

## § m_str

std::vector<TextParagraph> libmspub::GeometricShape::m_str

## § m_textCoord

Coordinate libmspub::GeometricShape::m_textCoord
| private

## § m_top

unsigned libmspub::GeometricShape::m_top

## § m_transform

VectorTransformation2D libmspub::GeometricShape::m_transform

## § m_type

ShapeType libmspub::GeometricShape::m_type

## § m_valuesSeen

std::vector<bool> libmspub::GeometricShape::m_valuesSeen
| mutableprivate

## § m_width

double libmspub::GeometricShape::m_width

## § m_x

double libmspub::GeometricShape::m_x

## § m_y

double libmspub::GeometricShape::m_y

The documentation for this struct was generated from the following file:

- Shapes.h